Differences between revisions 1 and 2
Revision 1 as of 2005-07-07 10:14:17
Size: 2384
Editor: LeoSimons
Comment:
Revision 2 as of 2009-09-20 23:49:35
Size: 2398
Editor: localhost
Comment: converted to 1.6 markup
Deletions are marked like this. Additions are marked like this.
Line 9: Line 9:
 * [http://www.gnu.org/software/bash/bash.html Bash]. You need a recent one, preferably 3.0 or higher.  * [[http://www.gnu.org/software/bash/bash.html|Bash]]. You need a recent one, preferably 3.0 or higher.
Line 11: Line 11:
 * [http://www.python.org/ Python]. You need version 2.4 or later. Make sure the location you installed it (usually /usr/bin) is on your PATH.
 * [http://subversion.tigris.org/ Subversion client]. I recommend the latest stable version. Put it on the PATH.
 * [http://www.mysql.com/ MySQL]. You need 4.0 or later. I recommend the latest stable version.
 * [http://sourceforge.net/projects/mysql-python MySQLdb Python library]
 * [http://pmock.sourceforge.net/ Pmock Python library]
 * [http://java.sun.com/ Java]. I recommend the latest version in the 1.4.x series. Set JAVA_HOME to point to wherever you install it
 * [[http://www.python.org/|Python]]. You need version 2.4 or later. Make sure the location you installed it (usually /usr/bin) is on your PATH.
 * [[http://subversion.tigris.org/|Subversion client]]. I recommend the latest stable version. Put it on the PATH.
 * [[http://www.mysql.com/|MySQL]]. You need 4.0 or later. I recommend the latest stable version.
 * [[http://sourceforge.net/projects/mysql-python|MySQLdb Python library]]
 * [[http://pmock.sourceforge.net/|Pmock Python library]]
 * [[http://java.sun.com/|Java]]. I recommend the latest version in the 1.4.x series. Set JAVA_HOME to point to wherever you install it

See Gump3OnWindows for installing on windows

Installing Gump3

You need at least:

  • a basic "POSIX" environment, eg Linux, Solaris, BSD, some other Unix, or Cygwin
  • the "which" and "hostname" commands
  • Bash. You need a recent one, preferably 3.0 or higher.

  • an ssh client
  • Python. You need version 2.4 or later. Make sure the location you installed it (usually /usr/bin) is on your PATH.

  • Subversion client. I recommend the latest stable version. Put it on the PATH.

  • MySQL. You need 4.0 or later. I recommend the latest stable version.

  • MySQLdb Python library

  • Pmock Python library

  • Java. I recommend the latest version in the 1.4.x series. Set JAVA_HOME to point to wherever you install it

We have a tendency to change these dependencies every now and then. The main gump script will let you know :-)

Fire up a command window. Do something like:

# or wherever you do your development...
cd ~/
mkdir svn
cd svn
# this will take long, Gump is a big download!
svn co https://svn.apache.org/repos/asf/gump/branches/Gump3 gump3
cd gump3
# ...this should show some useful help output...
bash gump help
# ...this will show you prerequisite failures...
bash gump test
# ...this will show database errors...
bash gump run
# so lets install a database
# you can create a database using:
mysqldbadmin [-u root -p] create gump
# create a "gump" user with permissions to the "gump" database first
# (e.g. using MySql Administrator), and then
mysql -u gump -p gump < gumpdb/src/sql/gump3-database-definition.sql
# cross your fingers! It might work...
bash gump run

There is some more stuff you need in addition to bash, python and svn. The command line script will attempt to inform you about that. Try and do what it says. Once you get stuck, let us know!

Running Gump3 from cron and other advanced stuff

We don't keep user-friendly documentation on configuring a machine to do automated builds on a nightly basis. However, we do maintain documentation on the configuration of our machines, which you can hopefully mirror with great success. See GumpInfrasctructure.

Gump3Installation (last edited 2009-09-20 23:49:35 by localhost)